Debian Bug report logs - #628131
live-boot init script should not fail after package removal

version graph

Package: live-config; Maintainer for live-config is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-config is src:live-config.

Reported by: c0rtex <spicy@lowcost.net>

Date: Fri, 27 May 2011 13:51:01 UTC

Severity: normal

Found in version live-config/3.0~a18-1

Fixed in version live-config/3.0~a20-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, spicy@lowcost.net, Debian Live Project <debian-live@lists.debian.org>:
Bug#628131; Package live-config. (Fri, 27 May 2011 13:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to c0rtex <spicy@lowcost.net>:
New Bug report received and forwarded. Copy sent to spicy@lowcost.net, Debian Live Project <debian-live@lists.debian.org>. (Fri, 27 May 2011 13:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: c0rtex <spicy@lowcost.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-boot init script should not fail after package removal
Date: Fri, 27 May 2011 15:52:27 +0200
Package: live-config
Version: 3.0~a18-1
Severity: normal

After an installation from a Debian Live-CD, i've wanted to remove useless
installed packages, as "live-config" (aptitude remove live-config) But after
reboot, i've had the error at the boot sequence :

/etc/init.d/live-config: 33: /live/live/config.sh: not found

Instead of failing, it should exit silently.
Cf. http://www.debian.org/doc/debian-policy/ch-opersys.html#s-writing-init

Purge live-config resolve the problem.




-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.38-2-686 (SMP w/1 CPU core)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sat, 28 May 2011 06:33:08 GMT) Full text and rfc822 format available.

Notification sent to c0rtex <spicy@lowcost.net>:
Bug acknowledged by developer. (Sat, 28 May 2011 06:33:08 GMT) Full text and rfc822 format available.

Message #10 received at 628131-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 628131-close@bugs.debian.org
Subject: Bug#628131: fixed in live-config 3.0~a20-1
Date: Sat, 28 May 2011 06:32:13 +0000
Source: live-config
Source-Version: 3.0~a20-1

We believe that the bug you reported is fixed in the latest version of
live-config, which is due to be installed in the Debian FTP archive:

live-config-runit_3.0~a20-1_all.deb
  to main/l/live-config/live-config-runit_3.0~a20-1_all.deb
live-config-systemd_3.0~a20-1_all.deb
  to main/l/live-config/live-config-systemd_3.0~a20-1_all.deb
live-config-sysvinit_3.0~a20-1_all.deb
  to main/l/live-config/live-config-sysvinit_3.0~a20-1_all.deb
live-config-upstart_3.0~a20-1_all.deb
  to main/l/live-config/live-config-upstart_3.0~a20-1_all.deb
live-config_3.0~a20-1.debian.tar.gz
  to main/l/live-config/live-config_3.0~a20-1.debian.tar.gz
live-config_3.0~a20-1.dsc
  to main/l/live-config/live-config_3.0~a20-1.dsc
live-config_3.0~a20-1_all.deb
  to main/l/live-config/live-config_3.0~a20-1_all.deb
live-config_3.0~a20.orig.tar.gz
  to main/l/live-config/live-config_3.0~a20.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 628131@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-config package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 28 May 2011 08:12:45 +0200
Source: live-config
Binary: live-config live-config-runit live-config-systemd live-config-sysvinit live-config-upstart
Architecture: source all
Version: 3.0~a20-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-config - Debian Live - System Configuration Scripts
 live-config-runit - Debian Live - System Configuration Scripts (runit backend)
 live-config-systemd - Debian Live - System Configuration Scripts (systemd backend)
 live-config-sysvinit - Debian Live - System Configuration Scripts (sysvinit backend)
 live-config-upstart - Debian Live - System Configuration Scripts (upstart backend)
Closes: 628131
Changes: 
 live-config (3.0~a20-1) unstable; urgency=low
 .
   * Updating initscripts to not fail when package is removed (Closes:
     #628131).
   * Updating examples README.
Checksums-Sha1: 
 c909bcf8b87617d0ae9ebac5051395191e58a1e0 1355 live-config_3.0~a20-1.dsc
 faf9ce050323160f78f8461e4b722f1514841e76 99081 live-config_3.0~a20.orig.tar.gz
 b89e5a146cfdfd4fa3658ab140e7e22631d42836 8845 live-config_3.0~a20-1.debian.tar.gz
 366eff1dedf149d9f7c00057778af3280e98e124 52556 live-config_3.0~a20-1_all.deb
 d6a661418ae7251f6b1088b21f033ea95d4c5f4f 8448 live-config-runit_3.0~a20-1_all.deb
 a3e0fa31d14c397c970f1e18c89c8c223881e8f4 8176 live-config-systemd_3.0~a20-1_all.deb
 763ed18acc221fe2e146aeaec2b9eeb0baf091af 9270 live-config-sysvinit_3.0~a20-1_all.deb
 e60518a91fe80a45f9a64ee980a4df834e2491bf 9082 live-config-upstart_3.0~a20-1_all.deb
Checksums-Sha256: 
 1170847f9f0a13ceffc13c85f3d8dcf1dd0be8326c7550fb61d0443878e55854 1355 live-config_3.0~a20-1.dsc
 55c6c7a9182033ef4941e758b281d386983d9265fab004b595c3238a61e1972c 99081 live-config_3.0~a20.orig.tar.gz
 29e4ed34c7b3827063116138cff8baf4d5d504e3424500505af8125aebe38c59 8845 live-config_3.0~a20-1.debian.tar.gz
 0bbaba31b2fab33473935f6d71fb3e549f17cd80aa64e9e3649301870cf4debd 52556 live-config_3.0~a20-1_all.deb
 810f9a64165949c03318118aa1e866b7b6d7f8447838c87750d42de801c9dbfa 8448 live-config-runit_3.0~a20-1_all.deb
 f5f1f67830d9a46a3372e1aea99387132581127b571b6c8b9c458b97aa355d25 8176 live-config-systemd_3.0~a20-1_all.deb
 d68435b925ba8c059301c4e62d8952359aef803b4beb5ebe831914aa1dab4dc8 9270 live-config-sysvinit_3.0~a20-1_all.deb
 6805769ae578d5913616002d9a5804ca55249465e070c3e92e00e32e599f6a6c 9082 live-config-upstart_3.0~a20-1_all.deb
Files: 
 5a8124892f6416ed63f4a5204860aba0 1355 misc optional live-config_3.0~a20-1.dsc
 59b074f37ea2e4a2b09a775100acd925 99081 misc optional live-config_3.0~a20.orig.tar.gz
 568d6d0e1a5c462f171394367b60eaa8 8845 misc optional live-config_3.0~a20-1.debian.tar.gz
 a9e827d38b1179a472b8663ce18fcb39 52556 misc optional live-config_3.0~a20-1_all.deb
 5387c8c1007247f8211f9f9a333d471b 8448 misc optional live-config-runit_3.0~a20-1_all.deb
 05146b78ee33dda551db34a269b4205d 8176 misc optional live-config-systemd_3.0~a20-1_all.deb
 d21be2e543a71fcefe3b800eec885822 9270 misc optional live-config-sysvinit_3.0~a20-1_all.deb
 2ddc54c834a4bc3030db048f3b269a2d 9082 misc optional live-config-upstart_3.0~a20-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk3glFkACgkQ+C5cwEsrK57mqQCgpF9GQQmNE/DYEiE7mpe6/kFU
pAgAn0TfUWA7M5H018OhrVjuAaYETbsM
=uy11
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 05 Jul 2011 07:33:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:16:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.